# List metafield definition constraint types

> Retrieve the available constraint types.

`GET /rest/api/metafield_definition_constraint_types`

Retrieves the collection of MetafieldDefinitionConstraintType resources.

Returns every metafield definition constraint type.

## Headers

| Name                         | Type     | Required | Description                                                                                                                                      |
| ---------------------------- | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Flowkiwi-Organization-Id` | `string` | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |

## Response

**200** - MetafieldDefinitionConstraintType collection

| Property           | Type                                  | Required | Description |
| ------------------ | ------------------------------------- | -------- | ----------- |
| `hydra:totalItems` | `integer`                             | -        |             |
| `hydra:search`     | `object`                              | -        |             |
| `hydra:member`     | `MetafieldDefinitionConstraintType[]` | Yes      |             |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/metafield_definition_constraint_types' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/MetafieldDefinitionConstraintType",
  "@id": "/rest/api/metafield_definition_constraint_types",
  "@type": "hydra:Collection",
  "hydra:totalItems": 3,
  "hydra:member": [
    {
      "@context": "/contexts/MetafieldDefinitionConstraintType",
      "@id": "/rest/api/metafield_definition_constraint_types/category",
      "@type": "https://schema.org/Enumeration",
      "id": "category",
      "description": "Constraint based on category"
    },
    {
      "@context": "/contexts/MetafieldDefinitionConstraintType",
      "@id": "/rest/api/metafield_definition_constraint_types/channel",
      "@type": "https://schema.org/Enumeration",
      "id": "channel",
      "description": "Constraint based on channel"
    },
    {
      "@context": "/contexts/MetafieldDefinitionConstraintType",
      "@id": "/rest/api/metafield_definition_constraint_types/category_channel",
      "@type": "https://schema.org/Enumeration",
      "id": "category_channel",
      "description": "Constraint based on category and channel combination"
    }
  ]
}
```
